﻿using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Repository.MySql;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface IDicMapDeptDoctorRepository : IBaseRepositoryToASHermed_SinoInterface<Dic_Map_Dept_Doctor>
    {
        List<DoctorBelongTo> GetDocHosIds(int doctorId);
        List<int> GetDocIdsForDeptIds(List<int> deptid, int apttype);
        Dic_Map_Dept_Doctor FindByHisHosDeptDoctorCode(string hisHosCode, string hisDeptCode, string hisDoctorCode, int useOccastion);
    }
}
