﻿using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel.App;

namespace ASHermed.SinoInterface.Api.IRepository
{

    public interface IDicMapHisDoctorRepository : IBaseRepositoryToASHermed_SinoInterface<Dic_Map_His_Doctor>
    {
        List<HosByLanguage> SelectByDoctorByLanguage(int doctorId, int language, int useOccasionType);
        List<DeptByLanguage> SelectByDoctorByLanguage(int doctorId, int language);
        Dic_Map_His_Doctor SelectByDoctor(int doctorId);
    }
}
